openSUSE Security Update : libXv (openSUSE-SU-2013:1010-1)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update of libXrender fixes several buffer and integer overflow
issues.

-
U_0001-integer-overflow-in-XvQueryPortAttributes-CVE-201
3-1.patch,
U_0002-integer-overflow-in-XvListImageFormats-CVE-2013-1
989.patch,
U_0003-integer-overflow-in-XvCreateImage-CVE-2013-1989-3
-3.patch

- integer overflow in XvQueryPortAttributes(),
XvListImageFormats(), XvCreateImage() [CVE-2013-1989]
(bnc#821671, bnc#815451)

-
U_0001-buffer-overflow-in-XvQueryPortAttributes-CVE-2013
-20.patch

- buffer overflow in XvQueryPortAttributes()
[CVE-2013-2066] (bnc#821671, bnc#815451)

See also :

http://lists.opensuse.org/opensuse-updates/2013-06/msg00140.html
https://bugzilla.novell.com/show_bug.cgi?id=815451
https://bugzilla.novell.com/show_bug.cgi?id=821671

Solution :

Update the affected libXv packages.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 5.9
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : false

Family: SuSE Local Security Checks

Nessus Plugin ID: 75032 ()

Bugtraq ID: 60135
60143

CVE ID: CVE-2013-1989
CVE-2013-2066

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now